Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.wtc.gwt
Class TuxedoConnection

    java.lang.Object
      |
      +--weblogic.wtc.gwt.TuxedoConnection

public class TuxedoConnection
extends java.lang.Object
implements ApplicationToMonitorInterface

These are the methods that clients call in order to get access to remote domains.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`CallDescriptor` | `tpacall(java.lang.String svc, TypedBuffer data, int flags)` This calls the other tpacall with null as the reply object
`CallDescriptor` | `tpacall(java.lang.String svc, TypedBuffer data, int flags, TpacallAsyncReply callBack)` This implementation of tpacall is aware of the domain configuration files which correlate services with local and remote domains.
`Reply` | `tpcall(java.lang.String svc, TypedBuffer data, int flags)` This implementation of tpcall looks up the proper service using the domain configuration files and/or MBeans.
`void` | `tpcancel(CallDescriptor cd, int flags)` This implementation knows about the tuxedo call descriptor and will attempt to cancel the outstanding tpacall request.
`Conversation` | `tpconnect(java.lang.String svc, TypedBuffer data, int flags)` This implementation of tpconnect looks up the proper service using the domain configuration files and/or MBeans.
`DequeueReply` | `tpdequeue(java.lang.String qspace, java.lang.String qname, byte[] msgid, byte[] corrid, boolean doWait, boolean doPeek, int flags)` Much like tpacall, this looks up the remote qspace as a service offered through the domain configuration file, and once it has located the proper remote domain through which to send the dequeue request, it sends it.
`DequeueReply` | `tpdequeue(java.lang.String qspace, java.lang.String qname, int flags)` This is the simple version of tpdequeue, which is equalvalent to calling the other tpdequeue verb with null as the msgid and corrid and false as the values for doWait and doPeek.
`byte[]` | `tpenqueue(java.lang.String qspace, java.lang.String qname, EnqueueRequest ctl, TypedBuffer data, int flags)` Much like tpacall, this looks up the remote qspace as a service offered through the domain configuration file, and once it has located the proper remote domain through which to send the enqueue request, it sends it.
`Reply` | `tpgetrply(CallDescriptor cd, int flags)` This implementation does not yet handle the case of blocking replies with the TPGETANY flag.
`void` | `tpterm()` This should be called by applications when they are finished with operations on this object.
`void` | `updateViewMap(java.lang.String viewname, java.lang.Class viewclass, int flags)` This method adds a Class object into the view hashtable set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### tpacall

    public CallDescriptor tpacall(java.lang.String svc,
                                  TypedBuffer data,
                                  int flags)
                           throws TPException

  This calls the other tpacall with null as the reply object
  Specified by:
    tpacall in interface ApplicationToMonitorInterface

### tpacall

    public CallDescriptor tpacall(java.lang.String svc,
                                  TypedBuffer data,
                                  int flags,
                                  TpacallAsyncReply callBack)
                           throws TPException

  This implementation of tpacall is aware of the domain configuration files which correlate services with local and remote domains. It gets the table of services from a static WTCService method, and uses that to look up the proper local and then remote domain to which to route this object. It takes care of all of the data dependent routing, and failover/failback logic. Once the proper remote domain has been chosen, it does the tpacall to the remote domain, returning an object that can be used in subsequent calls to tpgetrply.
  Specified by:
    tpacall in interface ApplicationToMonitorInterface

  Parameters:
    `svc` - same as ApplicationToMonitorInterface interface
    `data` - same as ApplicationToMonitorInterface interface
    `flags` - same as ApplicationToMonitorInterface interface
  Returns:
    same as ApplicationToMonitorInterface interface
  Throws:
    same - as ApplicationToMonitorInterface interface

### tpcancel

    public void tpcancel(CallDescriptor cd,
                         int flags)
                  throws TPException

  This implementation knows about the tuxedo call descriptor and will attempt to cancel the outstanding tpacall request. If it cannot, it will throw an exception
  Specified by:
    tpcancel in interface ApplicationToMonitorInterface

### tpgetrply

    public Reply tpgetrply(CallDescriptor cd,
                           int flags)
                    throws TPException,
                           TPReplyException

  This implementation does not yet handle the case of blocking replies with the TPGETANY flag. The problem is that the reply may span more than one remote domain, and the only way to handle that is either with threads at this layer or by getting support from the lower layer for a multi-remote domain reply architecture, which I favor. Hence, this implementation is only in order so that we can get our feet wet, and smoke out some of the other WLS integration issues that are sure to arise.
  Specified by:
    tpgetrply in interface ApplicationToMonitorInterface

  Parameters:
    `cd` - same as ApplicationToMonitorInterface interface
    `flags` - same as ApplicationToMonitorInterface interface
  Returns:
    same as ApplicationToMonitorInterface interface
  Throws:
    same - as ApplicationToMonitorInterface interface

### tpenqueue

    public byte[] tpenqueue(java.lang.String qspace,
                            java.lang.String qname,
                            EnqueueRequest ctl,
                            TypedBuffer data,
                            int flags)
                     throws TPException

  Much like tpacall, this looks up the remote qspace as a service offered through the domain configuration file, and once it has located the proper remote domain through which to send the enqueue request, it sends it.
  Specified by:
    tpenqueue in interface ApplicationToMonitorInterface

  Parameters:
    `qspace` - same as ApplicationToMonitorInterface interface
    `qname` - same as ApplicationToMonitorInterface interface
    `ctl` - same as ApplicationToMonitorInterface interface
    `data` - same as ApplicationToMonitorInterface interface
    `flags` - same as ApplicationToMonitorInterface interface
  Returns:
    same as ApplicationToMonitorInterface interface
  Throws:
    same - as ApplicationToMonitorInterface interface

### tpdequeue

    public DequeueReply tpdequeue(java.lang.String qspace,
                                  java.lang.String qname,
                                  byte[] msgid,
                                  byte[] corrid,
                                  boolean doWait,
                                  boolean doPeek,
                                  int flags)
                           throws TPException

  Much like tpacall, this looks up the remote qspace as a service offered through the domain configuration file, and once it has located the proper remote domain through which to send the dequeue request, it sends it.
  Specified by:
    tpdequeue in interface ApplicationToMonitorInterface

  Parameters:
    `qspace` - same as ApplicationToMonitorInterface interface
    `qname` - same as ApplicationToMonitorInterface interface
    `msgid` - same as ApplicationToMonitorInterface interface
    `corrid` - same as ApplicationToMonitorInterface interface
    `doWait` - same as ApplicationToMonitorInterface interface
    `doPeek` - same as ApplicationToMonitorInterface interface
    `flags` - same as ApplicationToMonitorInterface interface
  Returns:
    same as ApplicationToMonitorInterface interface
  Throws:
    same - as ApplicationToMonitorInterface interface

### tpdequeue

    public DequeueReply tpdequeue(java.lang.String qspace,
                                  java.lang.String qname,
                                  int flags)
                           throws TPException

  This is the simple version of tpdequeue, which is equalvalent to calling the other tpdequeue verb with null as the msgid and corrid and false as the values for doWait and doPeek.
  Specified by:
    tpdequeue in interface ApplicationToMonitorInterface

  Parameters:
    `qspace` - same as ApplicationToMonitorInterface interface
    `qname` - same as ApplicationToMonitorInterface interface
    `flags` - same as ApplicationToMonitorInterface interface
  Returns:
    same as ApplicationToMonitorInterface interface
  Throws:
    same - as ApplicationToMonitorInterface interface

### tpcall

    public Reply tpcall(java.lang.String svc,
                        TypedBuffer data,
                        int flags)
                 throws TPException,
                        TPReplyException

  This implementation of tpcall looks up the proper service using the domain configuration files and/or MBeans. It then invokes the tpcall on the underlying atmi object returned.
  Specified by:
    tpcall in interface ApplicationToMonitorInterface

  Parameters:
    `svc` - same as ApplicationToMonitorInterface interface
    `data` - same as ApplicationToMonitorInterface interface
    `flags` - same as ApplicationToMonitorInterface interface
  Returns:
    same as ApplicationToMonitorInterface interface
  Throws:
    same - as ApplicationToMonitorInterface interface

### tpterm

    public void tpterm()

  This should be called by applications when they are finished with operations on this object. This is the equivalent of the JCA specified "close" operation, and will trigger the JCA cleanup and transactional cleanup operations to commence. No operations will be allowed on this object once this has been called.
  Specified by:
    tpterm in interface ApplicationToMonitorInterface

### tpconnect

    public Conversation tpconnect(java.lang.String svc,
                                  TypedBuffer data,
                                  int flags)
                           throws TPException

  This implementation of tpconnect looks up the proper service using the domain configuration files and/or MBeans. It then invokes the conversation on the underlying atmi object returned.
  Specified by:
    tpconnect in interface ApplicationToMonitorInterface

  Parameters:
    `svc` - same as ApplicationToMonitorInterface interface
    `data` - same as ApplicationToMonitorInterface interface
    `flags` - same as ApplicationToMonitorInterface interface
  Returns:
    same as ApplicationToMonitorInterface interface
  Throws:
    same - as ApplicationToMonitorInterface interface

### updateViewMap

    public void updateViewMap(java.lang.String viewname,
                              java.lang.Class viewclass,
                              int flags)
                       throws TPException

  This method adds a Class object into the view hashtable set. It is used currently to only append to the list of Views stored by the WTCResources MBean. It will not replace or delete any previously defined views.

  Parameters:
    `viewname` - Name of the view. Correponds to subtype for View buffer.
    `viewclass` - The view class object loaded by the calling process.
    `flags` - An unused flag argument added for future mapping options
  Throws:
    TPException.TPEINVAL - for null arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD